import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class ChickenBondContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    chickenBondBlusd({ address, network }: ContractOpts): import("./ethers").ChickenBondBlusd;
    chickenBondBondNft({ address, network }: ContractOpts): import("./ethers").ChickenBondBondNft;
    chickenBondManager({ address, network }: ContractOpts): import("./ethers").ChickenBondManager;
    curvePool({ address, network }: ContractOpts): import("./ethers").CurvePool;
}
export type { ChickenBondBlusd } from './ethers';
export type { ChickenBondBondNft } from './ethers';
export type { ChickenBondManager } from './ethers';
export type { CurvePool } from './ethers';
